Provider.Type (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.annotations, annotation type: Provider, enum: Type

Package org.apache.cxf.annotations

# Enum Class Provider.Type

java.lang.Object
java.lang.Enum<Provider.Type>
org.apache.cxf.annotations.Provider.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Provider.Type>`, `Constable`

Enclosing class:
  Provider

public static enum Provider.Type extends Enum<Provider.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Feature`
  `InFaultInterceptor`
  `InInterceptor`
  `OutFaultInterceptor`
  `OutInterceptor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Provider.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Provider.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### InInterceptor

    public static final Provider.Type InInterceptor

  - ### OutInterceptor

    public static final Provider.Type OutInterceptor

  - ### InFaultInterceptor

    public static final Provider.Type InFaultInterceptor

  - ### OutFaultInterceptor

    public static final Provider.Type OutFaultInterceptor

  - ### Feature

    public static final Provider.Type Feature

- ## Method Details

  - ### values

    public static Provider.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Provider.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null